
use AdventureWorks2012
go

-- metadata
select * from sys.tables t
where is_memory_optimized = 1;

select name, * from sys.sql_modules m
join sys.procedures p
on m.object_id = p.object_id
where uses_native_compilation = 1;

select * from sys.hash_indexes; 

-- index types 2 (nonclustered) and 7 (hash)
select * from sys.indexes i
join sys.objects o on i.object_id = o.object_id
where o.is_ms_shipped = 0;

select * from sys.all_parameters -- new field: is_nullable
select * from sys.parameters -- new field: is_nullable
select * from sys.all_sql_modules -- new field: uses_native_compilation
select * from sys.sql_modules -- new field: uses_native_compilation
select * from sys.dm_os_worker_local_storage -- new field: xtp_address
where xtp_address > 0

select * from sys.sql_modules -- new field: uses_native_compilation
select * from sys.system_parameters -- new field: is_nullable
select * from sys.system_sql_modules -- new field: uses_native_compilation
select * from sys.table_types -- new field: is_memory_optimized
select * from sys.tables -- new field: is_memory_optimized, durability, durability_desc

select name,* from sys.dm_os_loaded_modules
where description like 'XTP%'

-- search for xtp system table names
select * from sys.all_objects 
where object_id between -2 and -6


-- wait_stats (19)
select * from sys.dm_os_wait_stats
where wait_type like '%XTP%';

select * from sys.internal_tables
where name = 'xtp_storage';