use simple2

create table samptab (id int not null PRIMARY KEY NONCLUSTERED hash( id ) with( bucket_count = 131072), 
                               name nchar(450) COLLATE Latin1_General_BIN2 not null INDEX idx2 nonclustered) WITH (MEMORY_OPTIMIZED=ON);

create table samptab2 (id int not null PRIMARY KEY NONCLUSTERED hash( id ) with( bucket_count = 131072), 
                               name nchar(450) COLLATE Latin1_General_BIN2 not null) WITH (MEMORY_OPTIMIZED=ON);


declare @i int = 1
while (@i <= 10000)
  begin
  if (@i % 3) = 0
     insert samptab values (@i, replicate('a', 50));
  if (@i % 3) = 1
     insert samptab values (@i, replicate('f', 50));
  if (@i % 3) = 2
     insert samptab values (@i, replicate('m', 50));
  set @i = @i + 1;
  end
go

declare @i int = 1001
declare @j int;
while (@i <= 1500)
  begin
  select @j = id from samptab where id = @i;
  if (@j % 3) = 0
     begin
     update samptab set name = replicate('u', 50) where id = @i;
	 waitfor delay '00:00:01'
	 end
  if (@j % 3) = 1
     begin
	 begin tran
     update samptab with (snapshot) set name = replicate('g', 50) where id = @i;
	 rollback
	 end
  if (@j % 3) = 2
     begin
     update samptab set name = replicate('n', 50) where id = @i;
	 end
  set @i = @i + 1;
  waitfor delay '00:00:01'
  end
go

declare @i int = 3000
declare @j int;
while (@i <= 100)
  begin
  select @j = id from samptab where id = @i;
  if (@j % 3) = 0
     update samptab set name = replicate('c', 50);
  if (@j % 3) = 1
     begin
     update samptab set name = replicate('o', 50);
	 waitfor delay '00:00:01'
	 end
  if (@j % 3) = 2
     update samptab set name = replicate('y', 50);
  set @i = @i + 1;
  end
go

declare @i int = 6001
declare @j int;
while (@i <= 100)
  begin
  select @j = id from samptab where id = @i;
  if (@j % 3) = 0
     update samptab set name = replicate('x', 50);
  if (@j % 3) = 1
     update samptab set name = replicate('i', 50);
  if (@j % 3) = 2
     begin
     update samptab set name = replicate('e', 50);
	 waitfor delay '00:00:01'
	 end
  set @i = @i + 1;
  end

go

select * from samptab